﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PovrchObjemKouleWPF
{
    /// <summary>
    /// Statická třída obsahující deklarace konstant
    /// </summary>
    static class Constants
    {
        //Deklarace a inicializace datové složky třídy
        public const string ZadPolomer = "Zadejte poloměr";
    }

    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            //Při spuštění aplikace je vypsán text v prvku s poloměrem koule 
            this.TxtPolomer.Text = Constants.ZadPolomer;

        }

        #region Výpočty


        #endregion


        #region Události
        private void BtnMetoda_Click(object sender, RoutedEventArgs e)
        {

        }

        //Vymazání počátečního textu v objektu pro poloměr
        private void TxtPolomer_GotFocus(object sender, RoutedEventArgs e)
        {
            //Pokud je umístěn počáteční text "Zadejte poloměr" v objektu pro poloměr 
            if (this.TxtPolomer.Text == Constants.ZadPolomer)
            {
                //Vymazání textu v objektu pro poloměr
                this.TxtPolomer.Text = string.Empty;
            }
            
        }

        //Vyplnění počátečního textu v objektu pro poloměr při opuštění objektu
        private void TxtPolomer_LostFocus(object sender, RoutedEventArgs e)
        {
            //Pokud je objekt poloměru prázdný (neobsahuje text)
            if(this.TxtPolomer.Text == string.Empty)
            {
                //Vyplnění poloměru textem "Zadejte poloměr"
                this.TxtPolomer.Text = Constants.ZadPolomer;
                //Vymazání předchozího povrchu koule
                this.TxtPovrch.Text = string.Empty;
                //Vymazání předchozího objemu koule
                this.TxtObjem.Text = string.Empty;
            }

        }

        #endregion


    }
}
